%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
%global with_python3 1
%endif

%global srcname pytest-cov

Name:           python-%{srcname}
Version:        1.6
Release:        4%{?dist}
Summary:        Pytest plugin for coverage reporting

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/pytest-dev/pytest-cov/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python.


%package -n python2-%{srcname}
Summary:        Pytest plugin for coverage reporting
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# For tests
BuildRequires:  pytest
BuildRequires:  python-cov-core
Requires:       pytest
Requires:       python-cov-core
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python 2.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Pytest plugin for coverage reporting
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For tests
BuildRequires:  python3-pytest
BuildRequires:  python3-cov-core
Requires:       python3-pytest
Requires:       python3-cov-core
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python 3.
%endif # with_python3


%prep
%setup -q -n %{srcname}-%{version}
rm -rf *.egg-info


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
%if 0%{?with_python3}
%py3_install
%endif # with_python3
%py2_install


%check
# They fail
PYTHONPATH=%{buildroot}%{python2_sitelib}:$PWD/tests py.test-%{python2_version} -vv || :

%if 0%{?with_python3}
PYTHONPATH=%{buildroot}%{python3_sitelib}:$PWD/tests py.test-%{python3_version} -vv
%endif # with_python3


%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.txt
%{python3_sitelib}/*
%endif # with_python3


%changelog
* Mon May 23 2016 Orion Poplawski <orion@cora.nwra.com> - 1.6-4
- Modernize spec
- Run tests properly, but they fail

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6-2
- Rebuild for Python 3.4

* Tue Feb 25 2014 Orion Poplawski <orion@cora.nwra.com> - 1.6-1
- Initial package
